Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.TXNotation

    java.lang.Object
        |
        +----com.ibm.xml.parser.Child
                |
                +----com.ibm.xml.parser.TXNotation

Subclasses:
  TreeFactory.TreeNotation

public class TXNotation
extends Child
implements Notation

The TXNotation class implements the Notation interface as defined by the Document Object Model (DOM).

The Notation Node is used to represent the definition of a notation within a DTD. Notations identify by name the format of external binary entities, or the application to which a processing instruction is addressed.

Version:
  1.1
See Also:
  Notation

Fields inherited from class com.ibm.xml.parser.Child
ATTDEF, ATTLIST, DOCUMENTTYPE, ELEMENTDEFINITION, ENTITY, GENERALREFERENCE, NOTATION, PSEUDONODE

Constructor Summary
TXNotation(java.lang.String name, ExternalID externalID) Constructor.

Method Summary
java.lang.Object | clone() Clone this Notation Node using the appropriate factory.
ExternalID | getExternalID() Returns the external ID associated with this Notation Node.
boolean | getIsPublic() Returns if the Notation's external ID is a public ID (or system ID).
java.lang.String | getName() Returns the name of the Notation.
int | getNodeType() Returns that this object is a Notation Node.
java.lang.String | getPublicIdentifier() Returns the public identifier of the Notation.
java.lang.String | getSystemIdentifier() Returns the system identifier of the Notation.
boolean | isSystem() Returns if the Notation's external ID is a system ID (or public ID).
void | setIsPublic(boolean isPublic) Sets if the Notation's external ID is a public ID (or system ID).
void | setName(java.lang.String name) Sets the name of the Notation.
void | setPublicIdentifier(java.lang.String publicIdentifier) Sets the public identifier of the Notation.
void | setSystemIdentifier(java.lang.String systemIdentifier) Sets the system identifier of the Notation.

Methods inherited from class com.ibm.xml.parser.Child
clearDigest, clone, getChildNodes, getDigest, getFactory, getFirstChild, getNextSibling, getParentNode, getPreviousSibling, getText, hasChildNodes, insertBefore, makeXPointer, print, print, removeChild, replaceChild, searchAncestors, searchAncestors, setFactory, toString, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### TXNotation

    public TXNotation(java.lang.String name,
                      ExternalID externalID)

  Constructor.
  Parameters:
    `name` - The name of the Notation.
    `externalID` - The public or system identifier which defines the DTD's notation.

Method Detail

### clone

    public java.lang.Object clone()

  Clone this Notation Node using the appropriate factory.

  This method is defined by Child.

  Returns:
    Cloned Notation Node.
  Overrides:
    clone in class Child
  See Also:
    clone

### getNodeType

    public int getNodeType()

  Returns that this object is a Notation Node.

  This method is defined by DOM.

  Returns:
    Node indicator.

### getName

    public java.lang.String getName()

  Returns the name of the Notation.
  Implements:
    getName in interface Notation
  Returns:
    The name of the Notation, or null if no name.
  See Also:
    setName

### setName

    public void setName(java.lang.String name)

  Sets the name of the Notation.
  Implements:
    setName in interface Notation
  Parameters:
    `name` - The name of the Notation.
  See Also:
    getName

### isSystem

    public boolean isSystem()

  Returns if the Notation's external ID is a system ID (or public ID).
  Returns:
    System ID=true, Public ID=false.
  See Also:
    getIsPublic, setIsPublic, isSystem

### getIsPublic

    public boolean getIsPublic()

  Returns if the Notation's external ID is a public ID (or system ID).
  Implements:
    getIsPublic in interface Notation
  Returns:
    Public ID=true, System ID=false.
  See Also:
    isSystem, setIsPublic, isPublic

### setIsPublic

    public void setIsPublic(boolean isPublic)

  Sets if the Notation's external ID is a public ID (or system ID).

  This method is NOT CURRENTLY IMPLEMENTED.

  Implements:
    setIsPublic in interface Notation
  Parameters:
    `isPublic` - Public ID=true, System ID=false.
  See Also:
    isSystem, getIsPublic, ExternalID

### getSystemIdentifier

    public java.lang.String getSystemIdentifier()

  Returns the system identifier of the Notation. A system identifier is a URI, which may be used to retrieve an external entity's content.
  Implements:
    getSystemIdentifier in interface Notation
  Returns:
    The system identifier, or null if the identifier is not defined.
  See Also:
    getIsPublic, setSystemIdentifier, getSystemLiteral

### setSystemIdentifier

    public void setSystemIdentifier(java.lang.String systemIdentifier)

  Sets the system identifier of the Notation. A system identifier is a URI, which may be used to retrieve an external entity's content.
  Implements:
    setSystemIdentifier in interface Notation
  Parameters:
    `systemIdentifier` - The system identifier.
  See Also:
    getIsPublic, setPublicIdentifier, ExternalID

### getPublicIdentifier

    public java.lang.String getPublicIdentifier()

  Returns the public identifier of the Notation. This value is only valid if the identifier is defined as public (as opposed to system). Public identifiers may be used to try to generate an alternative URI in order to retrieve the an external entities content. If retrieval fails using the public identifier, an attempt must be made to retrieve content using the system identifier.
  Implements:
    getPublicIdentifier in interface Notation
  Returns:
    The public identifier, or null if the identifier is not defined.
  See Also:
    getIsPublic, setPublicIdentifier, ExternalID

### setPublicIdentifier

    public void setPublicIdentifier(java.lang.String publicIdentifier)

  Sets the public identifier of the Notation. This value is only valid if the identifier is defined as public (as opposed to system). Public identifiers may be used to try to generate an alternative URI in order to retrieve the an external entities content. If retrieval fails using the public identifier, an attempt must be made to retrieve content using the system identifier.
  Implements:
    setPublicIdentifier in interface Notation
  Parameters:
    `publicIdentifier` - The public identifier.
  See Also:
    getIsPublic, getPublicIdentifier, ExternalID

### getExternalID

    public ExternalID getExternalID()

  Returns the external ID associated with this Notation Node. An external ID contains system, and optionally, public identifiers.
  Returns:
    The external ID associated with this Notation Node.
  See Also:
    ExternalID

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |